1. Vendor (Recipient)
Fintainium APIs
  • Overview
  • Quick Start
  • Use Cases
  • Recipies
    • Connect with Vendor
    • Pay a Vendor
  • API Reference
    • AP Payouts (Accounts Payable)
      • Vendor (Recipient)
        • Create new vendor
          POST
        • Update Vendor
          PUT
        • View Vendor Details
          POST
      • Payments (Payouts)
        • Initiate Payment
        • Add Payment Method
      • Bills
        • Create new Bill
      • Country State City
        • GET City List by State Name/ID/Code
    • AR Collection (Accounts Receivable)
      • Invoices
        • Create new Invoice
      • Customers
        • Create new customer
      • Payment (Collection)
        • Initiate Payment
        • Add Payment Method
    • Simplified Payouts
      • Send Payouts
    • Transactions
      • Retrieve Transaction Status
    • Webhooks
      • Register for an Event
      • Get Webhook Registration Status
    • Sub-Ledger
      • Retrieve Balance
  1. Vendor (Recipient)

Create new vendor

POST
https://staginggateway.fintainium.com/gateway/vendor/create
The Create Vendor API enables your business to add a new vendor to the Fintainium Network. This is the first step to establishing a direct, secure payments relationship with your vendors. This API allows businesses to register a vendor by submitting essential vendor details. Once created, the vendor can be managed using your internal ID and will be available for payouts and communication workflows.
Key features:
Create a new vendor profile using necessary identifiers such as businessId and vendor details.
Supports optional metadata to enrich the vendor profile.
Sets the foundation for subsequent actions—such as initiating payouts, updating vendor info, or sending email invites.
Ideal for onboarding new vendors into the Fintainium ecosystem efficiently and accurately

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://staginggateway.fintainium.com/gateway/vendor/create' \
--header 'sessionKey: YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json' \
--data-raw '{
        "businessId": 3295462,
        "vendor":[
            {
                "printNameOnCheck":"Test Company A",
                "internalId": "1005",
                "paymentMode":"",
                "companyName":"Test Company A",
                "vendorName":"Test Company A",
                "taxNo": "",
                "firstName": "Test",
                "lastName": "Vendor",
                "emailAddress":"abc01@getnada.com",
                "phoneNumber":"",
                "addressLine1":"10 Lawrence Street",
                "addressLine2":"",
                "addressLine3":"",
                "addressLine4":"",
                "addressLine5":"",
                "zipCode":"50020",
                "countryCode":"US",
                "stateCode":"AK",
                "cityId":18086,
                "inviteVendor": true,
                "maskTaxId": true
            }
        ]
    }'\'''
Response Response Example
{
  "statusCode": 200,
  "actionCode": "00",
  "message": "Successful",
  "failedCount": 0,
  "failedMessageList": [],
  "successCount": 1,
  "vendorDetail": [
    {
      "id": 4440162,
      "internalId": "1005",
      "vendorName": "Test Company A"
    }
  ],
  "transmissionDateTime": "2024-12-17T17:46:46.981+00:00"
}
Modified at 2025-09-04 18:02:15
Previous
AP Payouts (Accounts Payable)
Next
Update Vendor
Built with